/*
 * @Author: zc
 * @description 随手拍-红包审批
 */
import request from '@/utils/request';
/**
 * @description 获取市民红包审批列表基础信息
 * @param {object} params
 */
export const getCitizenRedEnvelopeApprovalBaseData = (params?: object) => {
	return request({
		url: `/api/v1/RedPack/audit/basedata`,
		method: 'get',
		params,
	});
};
/**
 * @description 获取市民红包审批列表
 * @param {object} params
 */
export const getCitizenRedEnvelopeApprovalList = (params?: object) => {
	return request({
		url: `/api/v1/RedPack/audit`,
		method: 'get',
		params,
	});
};
/**
 * @description 获取市民红包审批详情
 * @param {object} id
 */
export const getCitizenRedEnvelopeApprovalDetail = (id?: string) => {
	return request({
		url: `/api/v1/RedPack/audit/${id}`,
		method: 'get',
	});
};
/**
 * @description 获取市民红包审批短信模板
 * @param {object} params
 */
export const getCitizenRedEnvelopeApprovalSmsTemplate = (params?: object) => {
	return request({
		url: `/api/v1/RedPack/audit/sms_template`,
		method: 'get',
		params,
	});
};
/**
 * @description 获取市民红包审批基础信息
 * @param {object} params
 */
export const getCitizenRedEnvelopeApprovalBaseInfo = (params?: object) => {
	return request({
		url: `/api/v1/RedPack/audit/baseinfo`,
		method: 'get',
		params,
	});
};
/**
 * @description 红包审批或者拒绝
 * @param {object} data
 */
export const citizenRedEnvelopeApproval = (data: object) => {
	return request({
		url: `/api/v1/RedPack/audit`,
		method: 'put',
		data,
	});
};
